Loading...
Searching...
No Matches
RDKit::MolStandardize::IsotopeValidation Class Referencefinal

The IsotopeValidation class logs if molecule contains isotopes. More...

`#include <Validate.h>`

Inheritance diagram for RDKit::MolStandardize::IsotopeValidation:

## Public Member Functions

void | run (const ROMol &mol, bool reportAllFailures, std::vector< ValidationErrorInfo > &errors) const override
boost::shared_ptr< MolVSValidations > | copy () const override

## Detailed Description

The IsotopeValidation class logs if molecule contains isotopes.

Definition at line 130 of file Validate.h.

## Member Function Documentation

## copy()

boost::shared_ptr< MolVSValidations > RDKit::MolStandardize::IsotopeValidation::copy | ( |  | ) | const

inline override virtual

makes a copy of IsotopeValidation object and returns a MolVSValidations pointer to it

Implements RDKit::MolStandardize::MolVSValidations.

Definition at line 137 of file Validate.h.

## run()

void RDKit::MolStandardize::IsotopeValidation::run | ( | const ROMol & | mol,
|  | bool | reportAllFailures,
|  | std::vector< ValidationErrorInfo > & | errors
| ) |  | const

override virtual

Implements RDKit::MolStandardize::MolVSValidations.

The documentation for this class was generated from the following file:

- Validate.h